gtkmm: Gdk::DisplayManager Class Reference

gtkmm 3.24.8

Public Member Functions | Static Public Member Functions | Related Symbols | List of all members
Gdk::DisplayManager Class Reference

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes. More...

`#include <gdkmm/displaymanager.h>`

Inheritance diagram for Gdk::DisplayManager:
[legend]

## Public Member Functions
| DisplayManager (DisplayManager && src) noexcept
DisplayManager & | operator= (DisplayManager && src) noexcept
| ~DisplayManager () noexcept override
GdkDisplayManager * | gobj ()
| Provides access to the underlying C GObject.
const GdkDisplayManager * | gobj () const
| Provides access to the underlying C GObject.
GdkDisplayManager * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::RefPtr< Display > | get_default_display ()
| Gets the default Gdk::Display.
Glib::RefPtr< const Display > | get_default_display () const
| Gets the default Gdk::Display.
void | set_default_display (const Glib::RefPtr< Display > & display)
| Sets display as the default display.
std::vector< Glib::RefPtr< Display > > | list_displays ()
| List all currently open displays.
Glib::RefPtr< Display > | open_display (const Glib::ustring & name)
| Opens a display.
Glib::PropertyProxy< Glib::RefPtr< Display > > | property_default_display ()
| The default display for GDK.
Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Display > > | property_default_display () const
| The default display for GDK.
Glib::SignalProxy< void, const Glib::RefPtr< Display > & > | signal_display_opened ()
Public Member Functions inherited from Glib::Object
| Object (const Object &)=delete
Object & | operator= (const Object &)=delete
| Object (Object &&src) noexcept
Object & | operator= (Object &&src) noexcept
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)
Public Member Functions inherited from Glib::ObjectBase
| ObjectBase (const ObjectBase &)=delete
ObjectBase & | operator= (const ObjectBase &)=delete
void | set_property_value (const Glib::ustring &property_name, const Glib::ValueBase &value)
void | get_property_value (const Glib::ustring &property_name, Glib::ValueBase &value) const
void | set_property (const Glib::ustring &property_name, const PropertyType &value)
void | get_property (const Glib::ustring &property_name, PropertyType &value) const
void | connect_property_changed (const Glib::ustring &property_name, const sigc::slot< void > &slot)
void | connect_property_changed (const Glib::ustring &property_name, sigc::slot< void > &&slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, const sigc::slot< void > &slot)
sigc::connection | connect_property_changed_with_return (const Glib::ustring &property_name, sigc::slot< void > &&slot)
void | freeze_notify ()
void | thaw_notify ()
virtual void | reference () const
virtual void | unreference () const
GObject * | gobj ()
const GObject * | gobj () const
GObject * | gobj_copy () const
Public Member Functions inherited from sigc::trackable
| trackable () noexcept
| trackable (const trackable &src) noexcept
| trackable (trackable &&src)
| ~trackable ()
void | add_destroy_notify_callback (void *data, func_destroy_notify func) const
void | notify_callbacks ()
trackable & | operator= (const trackable &src)
trackable & | operator= (trackable &&src)
void | remove_destroy_notify_callback (void *data) const

## Static Public Member Functions
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
static Glib::RefPtr< DisplayManager > | get ()
| Gets the singleton Gdk::DisplayManager object.

## Related Symbols
(Note that these are not member symbols.)
Glib::RefPtr< Gdk::DisplayManager > | wrap (GdkDisplayManager * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Additional Inherited Members
Public Types inherited from Glib::Object
typedef void(*)(gpointer data | DestroyNotify)
Public Types inherited from sigc::trackable
typedef internal::func_destroy_notify | func_destroy_notify
Protected Member Functions inherited from Glib::Object
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
| ~Object () noexcept override
Protected Member Functions inherited from Glib::ObjectBase
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
| ObjectBase (ObjectBase &&src) noexcept
ObjectBase & | operator= (ObjectBase &&src) noexcept
virtual | ~ObjectBase () noexcept=0
void | initialize (GObject *castitem)
void | initialize_move (GObject *castitem, Glib::ObjectBase *previous_wrapper)

## Detailed Description

The purpose of the GdkDisplayManager singleton object is to offer notification when displays appear or disappear or the default display changes.

## Constructor & Destructor Documentation

## ◆ DisplayManager()

Gdk::DisplayManager::DisplayManager | ( | DisplayManager && | src | ) |
| noexcept

## ◆ ~DisplayManager()

Gdk::DisplayManager::~DisplayManager | ( |  | ) |
| overridenoexcept

## Member Function Documentation

## ◆ get()

static Glib::RefPtr< DisplayManager > Gdk::DisplayManager::get | ( |  | ) |
| static

Gets the singleton Gdk::DisplayManager object.

When called for the first time, this function consults the `GDK_BACKEND` environment variable to find out which of the supported GDK backends to use (in case GDK has been compiled with multiple backends). Applications can use gdk_set_allowed_backends() to limit what backends can be used.

Since gtkmm 2.2:

Returns
  The global Gdk::DisplayManager singleton; gdk_parse_args(), gdk_init(), or gdk_init_check() must have been called first.

## ◆ get_default_display() [1/2]

Glib::RefPtr< Display > Gdk::DisplayManager::get_default_display | ( |  | ) |

Gets the default Gdk::Display.

Since gtkmm 2.2:

Returns
  A Gdk::Display, or `nullptr` if there is no default display.

## ◆ get_default_display() [2/2]

Glib::RefPtr< const Display > Gdk::DisplayManager::get_default_display | ( |  | ) | const

Gets the default Gdk::Display.

Since gtkmm 2.2:

Returns
  A Gdk::Display, or `nullptr` if there is no default display.

## ◆ get_type()

static GType Gdk::DisplayManager::get_type | ( |  | ) |
| static

Get the GType for this class, for use with the underlying GObject type system.

## ◆ gobj() [1/2]

GdkDisplayManager * Gdk::DisplayManager::gobj | ( |  | ) |
| inline

Provides access to the underlying C GObject.

## ◆ gobj() [2/2]

const GdkDisplayManager * Gdk::DisplayManager::gobj | ( |  | ) | const
| inline

Provides access to the underlying C GObject.

## ◆ gobj_copy()

GdkDisplayManager * Gdk::DisplayManager::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## ◆ list_displays()

std::vector< Glib::RefPtr< Display > > Gdk::DisplayManager::list_displays | ( |  | ) |

List all currently open displays.

Since gtkmm 2.2:

Returns
  A list of Gdk::Display objects.

## ◆ open_display()

Glib::RefPtr< Display > Gdk::DisplayManager::open_display | ( | const Glib::ustring & | name | ) |

Opens a display.

Since gtkmm 3.0:

Parameters

  name | The name of the display to open.

Returns
  A Gdk::Display, or `nullptr` if the display could not be opened.

## ◆ operator=()

DisplayManager & Gdk::DisplayManager::operator= | ( | DisplayManager && | src | ) |
| noexcept

## ◆ property_default_display() [1/2]

Glib::PropertyProxy< Glib::RefPtr< Display > > Gdk::DisplayManager::property_default_display | ( |  | ) |

The default display for GDK.

Returns
  A PropertyProxy that allows you to get or set the value of the property, or receive notification when the value of the property changes.

## ◆ property_default_display() [2/2]

Glib::PropertyProxy_ReadOnly< Glib::RefPtr< Display > > Gdk::DisplayManager::property_default_display | ( |  | ) | const

The default display for GDK.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## ◆ set_default_display()

void Gdk::DisplayManager::set_default_display | ( | const Glib::RefPtr< Display > & | display | ) |

Sets display as the default display.

Since gtkmm 2.2:

Parameters

  display | A Gdk::Display.

## ◆ signal_display_opened()

Glib::SignalProxy< void, const Glib::RefPtr< Display > & > Gdk::DisplayManager::signal_display_opened | ( |  | ) |

Slot Prototype:
  `void on_my_display_opened(const Glib::RefPtr<Display>& display)`

Flags: Run Last

The signal_display_opened() signal is emitted when a display is opened.

Since gtkmm 2.2:

Parameters

  display | The opened display.

## Friends And Related Symbol Documentation

## ◆ wrap()

Glib::RefPtr< Gdk::DisplayManager > wrap | ( | GdkDisplayManager * | object,
|  | bool | take_copy = `false`
| ) |  |
| related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.